function [p, m] = superpolyfit (x, y, n)
%
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.

  m = [mean(x), std(x)];
  if m(2) == 0
    m = [0, 1];  % revert to standard polyfit
  end
  if length(x)<=n
      n=length(x)-1;
  end
  p = polyfit ((x-m(1))/m(2), y, n);

end
