function mf = medfiltp(s,d,pct);

% function mf = medfilt(s,d,pct);
% calculates the median filter over a horizon d, of the signal s
% mf: median filter
% s: input signal
% d: odd, calculation horizon (sliding median over d samples)
% pct : filter order (percents)
%
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.


if fix(d/2)==d/2
   d=d+1;
   disp(['length is now ',num2str(d)])
end

k = fix( pct*(d-1)/100)+1;
kfrac = pct*(d-1)/100-k+1;



mf = zeros(size(s));
N = length(s);
M = (d-1)/2;
s = s(:);
%s = [s(M+1:-1:2);s;s(end-1:-1:end-M)];
minit = sort(s(1:M));minit  = s(k);
mfin = sort(s(end-M+1:end));mfin =s(k);
s = [minit*ones(M,1);s;mfin*ones(M,1)];

% calcul du filtre median par hankel
H = hankel(s(1:d),s(d:end));
H = sort(H);
mf = H(k,:)*(1-kfrac)+H(k+1,:)*kfrac;