function dst = zerophase_signal (src)
%
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.

  N = length (src);

  if isodd (N)
    H = (N-1)/2;
  else
    H = N/2;
  end

  %% dst = shift (src, -H); [ML] Octave specific
  
  dst = circshift (src, -H);
  % and +H to invert the zerophasing (+H=-H mod N when N is even)

end
