function vec = arCompute(vec, ap)
%
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.

vec=zeros(1, ap.lt.order);
if ap.lt.order>length(vec)
    order = ceil(length(vec)/2);
else
    order = ap.lt.order;
end

ar=aryule(vec, order);
vec(1:length(ar)-1)=ar(2:end);