%
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.

sinus=sin(2*pi*40*(0:0.001:0.2));
sinus(1,60)=sinus(1,60)*2;
F=HfcEstimation(sinus); 
figure('Name','HFCsinus','NumberTitle','off')
clf
plot(sinus(1,:),'r')
hold on
plot(F(2,:),'b')

x=randn(1,64);
Fb=HfcEstimation(x);
figure('Name','HFCbruitBlanc','NumberTitle','off')
clf
plot(x(1,:),'r')
hold on
plot(Fb(2,:),'b')

 
 
 